Get a workflow execution
Server:
https://{kibana_url}
- GET /api/workflows/executions/{executionId}
- GET /s/{space_id}/api/workflows/executions/{executionId}
Refer to Spaces for more information.
Retrieve details of a single workflow execution by its ID.
[Required authorization] Route required privileges: workflowsManagement:read AND workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution.
Path Parameters
-
executionIdstring · max: 255required -
Workflow execution ID
Query Parameters
-
includeInputboolean · default: false Include execution input data.
-
includeOutputboolean · default: false Include execution output data.
-
omitStepExecutionsboolean · default: false When
true, omit the embeddedstepExecutionsarray. Defaults tofalse. When this isfalse, the embed is capped at 5000 steps.
Response
200
application/json
Indicates a successful response